Embedded HR
Get Accrual Balance
Retrieve an employee’s or company’s accrual policy balance, optionally filtered by policy code, employee, or policy status.
GET
/
accrualBalance
Get Accrual Balance
curl --request GET \
--url https://api.zeal.com/accrualBalance \
--header 'Authorization: <api-key>'import requests
url = "https://api.zeal.com/accrualBalance"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.zeal.com/accrualBalance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"companyID": "2hw67sd8900fd7hw78fdfhaej",
"accrualPolicies": [
{
"policy_code": "001",
"employeeID": "ccee4542323errr34345223",
"policy_type": "pto",
"policy_name": "executive_pto",
"accrual_balance": 20,
"accrual_rate_unit": "hours",
"policy_status": "live"
}
]
}
}{
"success": false,
"error": true,
"message": "Accrual policy with this policy code not found",
"timestamp": "2023-03-27T17:24:35Z"
}Authorizations
Query Parameters
ID of the company
Filter by the unique code assigned to a policy
Filter by the employee assigned to a policy
Filter by status of the policy (accepts live or terminated)
⌘I
Get Accrual Balance
